import numpy as np 
import random

max_n = 50000
random_split = np.asarray(random.sample(range(0,max_n), max_n))
print(random_split[0:10])

def save_np(np_arr, fil_name):
  with open(fil_name, "wb") as f:
    np.save(f,np_arr)


def load_np(fil_name):
  with open(fil_name, "rb") as f:
    return np.load(f)

# save_np(random_split, "rand_init_0")

load_array = load_np("rand_init_1")
print(load_array.shape)